#cart_page {
    position: relative;
}

#cart_page .fl-row-content-wrap {
    padding: 0px !important;
}

#cart_page .fl-row-content-wrap
.fl-row-content {
    min-height: 100vh;
}

#cart_page .cart-stepper {
    position: absolute;
    top: 24px;
    left: 40px;
}

#cart_page .underline-button {
    position: absolute;
    top: 120px;
    left: 40px;
}

@media (max-width: 1240px) {
    #cart_page .cart-stepper,
    #cart_page .underline-button {
        left: 24px;
    }   
}

@media (max-width: 460px) {
    #cart_page .underline-button {
        left: 0;
        right: 0;
        top: 180px;
    }

    #cart_page .underline-button .fl-button-wrap {
        text-align: center;
    }
}

#cart_page .stepper {
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 40px;
}

#cart_page .stepper .site-logo img {
    max-width: 60px;
}

@media (max-width: 460px) {
    #cart_page .cart-stepper {
        top: 24ox;
        left: 0;
        right: 0;
    }

    #cart_page .stepper {
        flex-direction: column;
        gap: 32px;
    }
    
    /* #cart_page .stepper .site-logo {
         display: none; 
    } */
}


#cart_page .stepper .steps ul {
    display: flex;
    list-style: none;
    gap: 16px;
    align-items: center;
    padding: 0px;
    margin: 0px;
}

#cart_page .stepper .steps ul li.step {
    display: flex;
    align-items: center;
    gap: 8px;
}

@media (max-width: 460px) {

}

#cart_page .stepper .steps ul li.step p {
    font-family: var(--secondary-font);
    color: var(--text-color);
    margin: 0px;
    width: 32px;
    height: 32px;
    border: 1px solid var(--text-black-color);
    border-radius: 255px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--text-black-color);
}

#cart_page .stepper .steps ul li.step.current p {
    background: var(--text-black-color);
    color: var(--white-color);
}

#cart_page .stepper .steps ul li.step span {
    font-family: var(--secondary-font);
    color: var(--text-color);
    margin: 0px;
}

/******************* PRODUCT TABLE *********************/

body.woocommerce-cart header {
    display: none;
}

#cart_page .woopack-product-cart {
    margin-top: 0px;
    min-height: 100vh;
}

#cart_page .woopack-product-cart .woocommerce {
    display: flex;
    justify-content: space-between;
    min-height: 100vh;
}

#cart_page .woopack-product-cart .woocommerce
.woocommerce-cart-form {
    width: 70%;
    border: none;
    padding: 0px 40px;
    margin-top: 180px;
    margin-bottom:  40px;
}

@media (max-width: 1240px) {
    #cart_page .woopack-product-cart .woocommerce
    .woocommerce-cart-form {
        padding: 0px 24px;
        margin-top: 180px;
    }
}

@media (max-width: 460px) {
    #cart_page .woopack-product-cart .woocommerce
    .woocommerce-cart-form {
        margin-top: 260px;
    }
}


#cart_page .woopack-product-cart .woocommerce
.cart-collaterals {
    width: 30%;
    background: var(--text-black-color);
}

@media (max-width: 768px) {

    #cart_page .woopack-product-cart .woocommerce {
        flex-direction: column;
    }
    
    #cart_page .woopack-product-cart .woocommerce
    .cart-collaterals,
        #cart_page .woopack-product-cart .woocommerce
    .woocommerce-cart-form {
        width: 100%;
    }
}

/*------ CART TOTALS ------*/

#cart_page .woopack-product-cart .woocommerce .cart-collaterals .cart_totals {
    width: 100%;
    padding: 32px;
    margin-top: 120px;
}

@media (max-width: 768px) {
    #cart_page .woopack-product-cart .woocommerce .cart-collaterals .cart_totals {
        margin-top: 0px;
    }
}

#cart_page .woopack-product-cart .woocommerce .cart-collaterals .cart_totals h2 {
    color: var(--white-color);
}

#cart_page .woopack-product-cart .woocommerce .cart-collaterals .cart_totals table {
    background: none;
    border: none;
}

#cart_page .woopack-product-cart .woocommerce .cart-collaterals .cart_totals table td,
#cart_page .woopack-product-cart .woocommerce .cart-collaterals .cart_totals table th {
    border-width: 1px;
    color: var(--white-color);
    font-family: var(--secondary-font);
    padding-left: 0px;
    padding-right: 0px;
}

#cart_page .woopack-product-cart .woocommerce .cart-collaterals .cart_totals a.button {
    background: var(--primary-color);
    color: var(--text-color);
    font-weight: 500;
    font-family: var(--secondary-font);
    border: none;
    padding: 12px 16px;
    width: fit-content;
}

#cart_page .woopack-product-cart .woocommerce
.woocommerce-cart-form .shop_table {
    margin: 0px;
    background: none;
    border: none;
}

#cart_page .woopack-product-cart .woocommerce
.woocommerce-cart-form .shop_table thead,
#cart_page .woopack-product-cart .woocommerce
.woocommerce-cart-form .shop_table tbody .product-price,
#cart_page .woopack-product-cart .woocommerce
.woocommerce-cart-form .shop_table tbody .product-quantity {
    display: none;
    border: none;
}

#cart_page .woopack-product-cart .woocommerce
.woocommerce-cart-form .shop_table .cart_item {
    background: var(--white-color);
    margin: 24px;
    padding: 12px 24px;
    display: flex;
    align-items: center;
    gap: 24px;
    border-radius: 4px;
    border: 1px solid #EBEBEB;
}

@media (max-width: 768px) {
    #cart_page .woopack-product-cart .woocommerce
    .woocommerce-cart-form .shop_table .cart_item {
        flex-direction: column;
        gap: 16px;
        margin: 24px 0px;
    }
}

#cart_page .woopack-product-cart .woocommerce
.woocommerce-cart-form .shop_table .cart_item:first-child {
    margin-top: 0px;
}

#cart_page .woopack-product-cart .woocommerce
.woocommerce-cart-form .shop_table .cart_item td {
    border: none;
    font-family: var(--secondary-font);
    font-size: 16px;
    color: var(--text-color);
    padding: 0px;
    background: none;
}

#cart_page .woopack-product-cart .woocommerce
.woocommerce-cart-form .shop_table .cart_item td.product-remove {
    background: none;
}

#cart_page .woopack-product-cart .woocommerce
.woocommerce-cart-form .shop_table .cart_item td.product-remove a {
    font-weight: 400;
    font-size: 32px;
    padding: 0px;
    background: none;
    color: red !important;
}

#cart_page .woopack-product-cart .woocommerce
.woocommerce-cart-form .shop_table .cart_item td.product-thumbnail,
#cart_page .woopack-product-cart .woocommerce
.woocommerce-cart-form .shop_table .cart_item td.product-thumbnail img {
    width: 80px;
    height: 80px;
    padding: 0px;
}

@media (max-width: 1180px) {
    #cart_page .woopack-product-cart .woocommerce
    .woocommerce-cart-form .shop_table .cart_item td.product-thumbnail,
    #cart_page .woopack-product-cart .woocommerce
    .woocommerce-cart-form .shop_table .cart_item td.product-thumbnail img {
        width: 40px;
        height: 40px;
        padding: 0px;
    }
}

#cart_page .woopack-product-cart .woocommerce
.woocommerce-cart-form .shop_table .cart_item td.product-name {
    flex-grow: 1;
    background: none;
}

#cart_page .woopack-product-cart .woocommerce
.woocommerce-cart-form .shop_table .cart_item td.product-name a {
    color: var(--text-color);
    text-decoration: underline;
}

@media (max-width: 768px) {
    #cart_page .woopack-product-cart .woocommerce
    .woocommerce-cart-form .shop_table .cart_item td.product-thumbnail::before {
        display: none;
    }

    #cart_page .woopack-product-cart .woocommerce
    .woocommerce-cart-form .shop_table .cart_item td.product-thumbnail,
    #cart_page .woopack-product-cart .woocommerce
    .woocommerce-cart-form .shop_table .cart_item td.product-thumbnail img {
        width: 80px;
        height: 80px;
    }

    #cart_page .woopack-product-cart .woocommerce
    .woocommerce-cart-form .shop_table .cart_item td.product-name::before,
    #cart_page .woopack-product-cart .woocommerce
    .woocommerce-cart-form .shop_table .cart_item td.product-subtotal::Before {
        display: none;
    }

    #cart_page .woopack-product-cart .woocommerce
    .woocommerce-cart-form .shop_table .cart_item td.product-name {
        text-align: center !important;
        background: none;
    }
}

@media (max-width: 640px) {
    #cart_page .woopack-product-cart .woocommerce
    .woocommerce-cart-form .shop_table .cart_item td.product-thumbnail,
    #cart_page .woopack-product-cart .woocommerce
    .woocommerce-cart-form .shop_table .cart_item td.product-thumbnail img {
        display: inline-block;
    }
}

/*--- HIDE PAYPAL BUTTON ----*/

#cart_page .woopack-product-cart .woocommerce .cart-collaterals .cart_totals
.ppc-button-wrapper {
    display: none;
}

/************ COUPON **********/

#cart_page .actions {
    padding: 0px 24px;
    border: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: none;
}

#cart_page .actions .coupon {
    display: flex;
}

#cart_page .actions .coupon button {
    background: none;
    border: 1px solid var(--secondary-color);
    color: var(--secondary-color);
}

@media (max-width: 992px) {
    #cart_page .actions {
        flex-direction: column;
    }

    #cart_page .actions .coupon {
        width: 100%;
    }

    #cart_page .actions .coupon input.input-text {
        width: 60%;
    }

    #cart_page .actions .coupon button {
        width: 40%;
    }

    #cart_page .actions button[name="update_cart"] {
        width: 100%;
        margin-top: 12px;
    }
}

@media (max-width: 768px) {
    #cart_page .actions {
         padding: 0px;
    }
}

@media (max-width: 460px) {

    #cart_page .actions .coupon {
        flex-wrap: wrap;
        gap: 12px;
    }
    
     #cart_page .actions .coupon input.input-text {
        width: 100%;
    }

    #cart_page .actions .coupon button {
        width: 100%;
    }
}


/***************** EMPTY CART MESSAGE **********************/
/**********************************************************/

#cart_page .wc-empty-cart-message {
    width: 100%;
    padding: 0px 24px;
}

#cart_page .wc-empty-cart-message .cart-empty {
    font-size: 18px;
    text-align: center;
    padding: 12px;
    border-radius: 4px;
    background: #c8d6ff;
    border-top: 4px solid #4f7cff;
    color: #4368d3;
    font-family: var(--secondary-font);
    margin: 0px;
}

#cart_page .wc-empty-cart-message + .return-to-shop {
    display: none;
}
